<ng-container *transloco="let t; read: 'contact'">
  <div class="flex-column">
    <div class="contact-type">{{t(type)}}</div>
    <ng-container *ngIf="isPublic && data?.length; else notAvailable">
      <div class="contact-entry" *ngFor="let entry of data">
        <ng-container *ngIf="isLink || isEmail; else normalEntry">
          <div class="clickable-entry" (click)="entryClicked(entry)">{{entry}}</div>
        </ng-container>
        <ng-template #normalEntry>
          {{entry}}
        </ng-template>
      </div>
    </ng-container>
    <ng-template #notAvailable>
      <div class="contact-entry">{{t('no_info')}}</div>
    </ng-template>
  </div>
</ng-container>
